import request from '@/utils/request'

// 推荐架构1
export function getTjFramework(params) {
  return request({
    url: '/member/manage/member-structure/tj-framework',
    method: 'get',
    params
  })
}

// 安置架构1
export function getAzFramework(params) {
  return request({
    url: '/member/manage/member-structure/three-framework',
    method: 'get',
    params
  })
}
// 安置架构5
export function getAzFramework5(params) {
  return request({
    url: '/member/manage/member-structure/az-framework-five',
    method: 'get',
    params
  })
}

// 架构等级展示
export function getAvarerInfo(params) {
  return request({
    url: '/member/manage/member-structure/get-avatar-info',
    method: 'get',
    params
  })
}

// 结算期数下拉选
export function getMemberSettlePeriod(params) {
  return request({
    url: '/member/manage/member-structure/get-member-settle-period',
    method: 'get',
    params
  })
}

// 转换为base64格式用于图片下载
export function getUrlBase(data) {
  return request({
    url: '/member/manage/member-structure/get-url-base64',
    method: 'post',
    data
  })
}

// 查询会员子点位
export function getChildList(params) {
  return request({
    url: '/member/manage/member-structure/childList',
    method: 'get',
    params
  })
}

// 查询推荐架构列表
export function getAzFrameworkList(params) {
  return request({
    url: '/member/manage/member-structure/three-framework-list',
    method: 'get',
    params
  })
}

export function getAzFramewrokNodeInfo(params) {
  return request({
    url: '/member/manage/member-structure/pointDetail',
    method: 'get',
    params
  })
}

// 会员点位列表查询
export function getMemberPointList(params) {
  return request({
    url: '/member/manager/member/member-point',
    method: 'get',
    params
  })
}
